%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CGI/Cookie.pm) perl(Digest/MD5.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Daemon.pm) perl(HTTP/Status.pm) perl(IO/Select.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 1.3
%define module_name TiVo-HME
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.3
Release: alt1
Summary: Startup server for pure Perl implementation of TiVo's HME protocol
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/ME/METZZO/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This modules just sets @INC to find your HME apps & then starts up
the server - it will NOT return.  Then point your simulator at
http://localhost/<app name> (assuming you're running the simulator and
this on the same box).
This basically just gets the party started - perldoc TiVo::HME::Application
for how to actually write an HME app.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_privlib/T*

%changelog
* Mon Apr 14 2014 Igor Vlasenko <viy@altlinux.ru> 1.3-alt1
- initial import by package builder

